#3597 {ELSTIC TABSTOP}CORRUPT DATA after cutting text 4.5pre1

severe bug
closed-fixed
Thomas Meyer
7
2013-03-01
2011-11-01
Alan Ezust
No

First, I am not using elastic tabstops at all.
I am having difficulty finding exact steps to reproduce it, but I will describe what I do when it happens.

It's usually after having jEdit open for a while, and I've split the editpane into 2 splits, and then I do a "cut" of some text. I am usually in TEXT edit mode when this happens.

Almost immediately after the cut, I see errors like this, and I am no longer able to
do anything with jEdit except kill the process. The textarea is corrupted, I can't close, save, or quit.

java.lang.IllegalArgumentException: {ELSTIC TABSTOP}CORRUPT DATA@{1320163173753} & Thread : AWT-EventQueue-0 :Cannot find the size for tab at offset 0in line 5while searching in
ColumnBlock[startLine : 0 ,endLine : 54 ,columnBlockWidth : 0.0] LINES:
CHILD 0:ColumnBlock[startLine : 6 ,endLine : 6 ,columnBlockWidth : 0.0] LINES:
LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:6
CHILD 1:ColumnBlock[startLine : 10 ,endLine : 10 ,columnBlockWidth : 0.0] LINES:
LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:10
CHILD 2:ColumnBlock[startLine : 12 ,endLine : 12 ,columnBlockWidth : 0.0] LINES:
LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:12
CHILD 3:ColumnBlock[startLine : 14 ,endLine : 14 ,columnBlockWidth : 0.0] LINES:
LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:14
CHILD 4:ColumnBlock[startLine : 16 ,endLine : 16 ,columnBlockWidth : 0.0] LINES:
LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:16
CHILD 5:ColumnBlock[startLine : 19 ,endLine : 19 ,columnBlockWidth : 0.0] LINES:
LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:19
CHILD 6:ColumnBlock[startLine : 22 ,endLine : 23 ,columnBlockWidth : 0.0] LINES:
LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:22
LINE 1:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:23
CHILD 7:ColumnBlock[startLine : 26 ,endLine : 28 ,columnBlockWidth : 0.0] LINES:
LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:26
LINE 1:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:27
LINE 2:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:28
CHILD 8:ColumnBlock[startLine : 32 ,endLine : 32 ,columnBlockWidth : 0.0] LINES:
LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:32
CHILD 9:ColumnBlock[startLine : 35 ,endLine : 35 ,columnBlockWidth : 0.0] LINES:
LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:35
at org.gjt.sp.jedit.textarea.ColumnBlock.throwException(ColumnBlock.java:335)
at org.gjt.sp.jedit.textarea.ColumnBlock.getColumnBlock(ColumnBlock.java:227)
at org.gjt.sp.jedit.textarea.ElasticTabstopsTabExpander.nextTabStop(ElasticTabstopsTabExpander.java:46)
at org.gjt.sp.jedit.syntax.Chunk.init(Chunk.java:361)
at org.gjt.sp.jedit.syntax.DisplayTokenHandler.initChunk(DisplayTokenHandler.java:196)
at org.gjt.sp.jedit.syntax.DisplayTokenHandler.handleToken(DisplayTokenHandler.java:121)
at org.gjt.sp.jedit.syntax.TokenMarker.markTokens(TokenMarker.java:192)
at org.gjt.sp.jedit.buffer.JEditBuffer.markTokens(JEditBuffer.java:1359)
at org.gjt.sp.jedit.textarea.ChunkCache.lineToChunkList(ChunkCache.java:789)
at org.gjt.sp.jedit.textarea.ChunkCache.updateChunksUpTo(ChunkCache.java:671)
at org.gjt.sp.jedit.textarea.ChunkCache.getLineInfo(ChunkCache.java:256)
at org.gjt.sp.jedit.textarea.TextArea.invalidateLine(TextArea.java:1130)
at org.gjt.sp.jedit.textarea.TextArea.invalidateSelectedLines(TextArea.java:5235)
at org.gjt.sp.jedit.textarea.TextArea.selectNone(TextArea.java:1723)
at org.gjt.sp.jedit.textarea.TextArea.setCaretPosition(TextArea.java:2192)
at org.gjt.sp.jedit.buffer.JEditBuffer.undo(JEditBuffer.java:2096)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.gjt.sp.jedit.bsh.Reflect.invokeMethod(Reflect.java:134)
at org.gjt.sp.jedit.bsh.Reflect.invokeObjectMethod(Reflect.java:80)
at org.gjt.sp.jedit.bsh.Name.invokeMethod(Name.java:855)
at org.gjt.sp.jedit.bsh.BSHMethodInvocation.eval(BSHMethodInvocation.java:75)
at org.gjt.sp.jedit.bsh.BSHPrimaryExpression.eval(BSHPrimaryExpression.java:102)
at org.gjt.sp.jedit.bsh.BSHPrimaryExpression.eval(BSHPrimaryExpression.java:47)
at org.gjt.sp.jedit.bsh.BSHBlock.evalBlock(BSHBlock.java:130)
at org.gjt.sp.jedit.bsh.BSHBlock.eval(BSHBlock.java:80)
at org.gjt.sp.jedit.bsh.BshMethod.invokeImpl(BshMethod.java:362)
at org.gjt.sp.jedit.bsh.BshMethod.invoke(BshMethod.java:258)
at org.gjt.sp.jedit.bsh.BshMethod.invoke(BshMethod.java:186)
at org.gjt.sp.jedit.BeanShellFacade.runCachedBlock(BeanShellFacade.java:225)
at org.gjt.sp.jedit.BeanShell.runCachedBlock(BeanShell.java:423)
at org.gjt.sp.jedit.BeanShellAction.invoke(BeanShellAction.java:73)
at org.gjt.sp.jedit.gui.InputHandler.invokeAction(InputHandler.java:342)
at org.gjt.sp.jedit.gui.InputHandler.invokeAction(InputHandler.java:307)
at org.gjt.sp.jedit.gui.DefaultInputHandler.handleKey(DefaultInputHandler.java:197)
at org.gjt.sp.jedit.input.AbstractInputHandler.processKeyEventKeyStrokeHandling(AbstractInputHandler.java:401)
at org.gjt.sp.jedit.gui.InputHandler.processKeyEvent(InputHandler.java:151)
at org.gjt.sp.jedit.textarea.TextArea.processKeyEvent(TextArea.java:4688)
at java.awt.Component.processEvent(Component.java:6066)
at java.awt.Container.processEvent(Container.java:2041)
at java.awt.Component.dispatchEventImpl(Component.java:4652)
at java.awt.Container.dispatchEventImpl(Container.java:2099)
at java.awt.Component.dispatchEvent(Component.java:4482)
at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1850)
at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:712)
at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:990)
at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:855)
at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:676)
at java.awt.Component.dispatchEventImpl(Component.java:4524)
at java.awt.Container.dispatchEventImpl(Container.java:2099)
at java.awt.Window.dispatchEventImpl(Window.java:2478)
at java.awt.Component.dispatchEvent(Component.java:4482)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:644)
at java.awt.EventQueue.access$000(EventQueue.java:85)
at java.awt.EventQueue$1.run(EventQueue.java:603)
at java.awt.EventQueue$1.run(EventQueue.java:601)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
at java.awt.EventQueue$2.run(EventQueue.java:617)
at java.awt.EventQueue$2.run(EventQueue.java:615)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:614)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

Discussion

  • Alan Ezust
    Alan Ezust
    2011-11-01

    • summary: {ELSTIC TABSTOP}CORRUPT DATA after cutting text --> {ELSTIC TABSTOP}CORRUPT DATA after cutting text 4.5pre1
     
  • Alan Ezust
    Alan Ezust
    2011-11-01

    I am using soft line wrap, margin 0, and I am cutting very long lines of text that wrap around the width of the editpane a couple of times.
    jEdit 4.5pre1

     
  • Alan Ezust
    Alan Ezust
    2011-11-01

    Can reproduce without having jEdit running a long time, and also with -noplugins.
    Here are the steps.

    1. run jEdit -noplugins.
    2. open a .txt file with very long lines.
    3. Split the window into 2 splits
    4. Cut some very long lines.

    :14:40 AM [AWT-EventQueue-0] [error] Buffer: java.lang.IllegalArgumentException: {ELSTIC TABSTOP}CORRUPT DATA@{1320164080585} & Thread : AWT-EventQueue-0 :Cannot find the size for tab at offset 0in line 17while searching in
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: ColumnBlock[startLine : 0 ,endLine : 42 ,columnBlockWidth : 0.0] LINES:
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: CHILD 0:ColumnBlock[startLine : 4 ,endLine : 4 ,columnBlockWidth : 0.0] LINES:
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:4
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: CHILD 1:ColumnBlock[startLine : 8 ,endLine : 8 ,columnBlockWidth : 0.0] LINES:
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:8
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: CHILD 2:ColumnBlock[startLine : 10 ,endLine : 10 ,columnBlockWidth : 0.0] LINES:
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:10
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: CHILD 3:ColumnBlock[startLine : 13 ,endLine : 13 ,columnBlockWidth : 0.0] LINES:
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:13
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: CHILD 4:ColumnBlock[startLine : 20 ,endLine : 20 ,columnBlockWidth : 0.0] LINES:
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:20
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: CHILD 5:ColumnBlock[startLine : 23 ,endLine : 23 ,columnBlockWidth : 0.0] LINES:
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: LINE 0:[ColumnBlockLine]colStartIndex:0 colEndIndex:0 lineLength:0.0 line:23
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.ColumnBlock.throwException(ColumnBlock.java:335)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.ColumnBlock.getColumnBlock(ColumnBlock.java:227)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.ElasticTabstopsTabExpander.nextTabStop(ElasticTabstopsTabExpander.java:46)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.syntax.Chunk.init(Chunk.java:361)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.syntax.DisplayTokenHandler.initChunk(DisplayTokenHandler.java:196)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.syntax.DisplayTokenHandler.handleToken(DisplayTokenHandler.java:121)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.syntax.TokenMarker.markTokens(TokenMarker.java:192)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.buffer.JEditBuffer.markTokens(JEditBuffer.java:1359)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.ChunkCache.lineToChunkList(ChunkCache.java:789)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.ChunkCache.updateChunksUpTo(ChunkCache.java:671)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.ChunkCache.getLineInfo(ChunkCache.java:256)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.TextArea.invalidateLineRange(TextArea.java:1178)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.ElasticTabStopBufferListener.contentRemoved(ElasticTabStopBufferListener.java:433)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.buffer.JEditBuffer.fireContentRemoved(JEditBuffer.java:2461)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.buffer.JEditBuffer.remove(JEditBuffer.java:809)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.Selection$Range.setText(Selection.java:272)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.TextArea.replaceSelection(TextArea.java:2061)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.JEditTextArea.replaceSelection(JEditTextArea.java:240)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.TextArea.setSelectedText(TextArea.java:2009)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.Registers.cut(Registers.java:111)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.lang.reflect.Method.invoke(Method.java:597)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.bsh.Reflect.invokeMethod(Reflect.java:134)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.bsh.Reflect.invokeStaticMethod(Reflect.java:98)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.bsh.Name.invokeMethod(Name.java:871)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.bsh.BSHMethodInvocation.eval(BSHMethodInvocation.java:75)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.bsh.BSHPrimaryExpression.eval(BSHPrimaryExpression.java:102)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.bsh.BSHPrimaryExpression.eval(BSHPrimaryExpression.java:47)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.bsh.BSHBlock.evalBlock(BSHBlock.java:130)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.bsh.BSHBlock.eval(BSHBlock.java:80)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.bsh.BshMethod.invokeImpl(BshMethod.java:362)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.bsh.BshMethod.invoke(BshMethod.java:258)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.bsh.BshMethod.invoke(BshMethod.java:186)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.BeanShellFacade.runCachedBlock(BeanShellFacade.java:225)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.BeanShell.runCachedBlock(BeanShell.java:423)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.BeanShellAction.invoke(BeanShellAction.java:73)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.gui.InputHandler.invokeAction(InputHandler.java:342)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.gui.InputHandler.invokeAction(InputHandler.java:307)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.gui.DefaultInputHandler.handleKey(DefaultInputHandler.java:197)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.input.AbstractInputHandler.processKeyEventKeyStrokeHandling(AbstractInputHandler.java:401)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.gui.InputHandler.processKeyEvent(InputHandler.java:151)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at org.gjt.sp.jedit.textarea.TextArea.processKeyEvent(TextArea.java:4688)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.Component.processEvent(Component.java:6066)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.Container.processEvent(Container.java:2041)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.Component.dispatchEventImpl(Component.java:4652)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.Container.dispatchEventImpl(Container.java:2099)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.Component.dispatchEvent(Component.java:4482)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1850)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:712)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:990)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:855)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:676)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.Component.dispatchEventImpl(Component.java:4524)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.Container.dispatchEventImpl(Container.java:2099)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.Window.dispatchEventImpl(Window.java:2478)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.Component.dispatchEvent(Component.java:4482)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:644)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.EventQueue.access$000(EventQueue.java:85)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.EventQueue$1.run(EventQueue.java:603)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.EventQueue$1.run(EventQueue.java:601)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.security.AccessController.doPrivileged(Native Method)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.EventQueue$2.run(EventQueue.java:617)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.EventQueue$2.run(EventQueue.java:615)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.security.AccessController.doPrivileged(Native Method)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.EventQueue.dispatchEvent(EventQueue.java:614)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
    9:14:40 AM [AWT-EventQueue-0] [error] Buffer: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:
    2.

     
  • Alan Ezust
    Alan Ezust
    2011-11-01

    • labels: --> editor core
    • milestone: --> 619797
    • priority: 5 --> 9
    • assigned_to: nobody --> kpouer
     
  • Alan Ezust
    Alan Ezust
    2011-11-02

    • milestone: 619797 --> severe bug
    • priority: 9 --> 7
     
  • Alan Ezust
    Alan Ezust
    2011-11-02

    requires the "elastic tabstops" option to be enabled. Does not reproduce when the option is not in use.
    So it is not a "regressive" bug, just a severe one (if you use that option).

     
  • Alan Ezust
    Alan Ezust
    2011-11-09

    • assigned_to: kpouer --> nobody
     
  • Alan Ezust
    Alan Ezust
    2011-11-14

    Anshal, please take a look at this, Or shlomy. It's important this gets fixed before 4.5 is officially released.

     
  • Alan Ezust
    Alan Ezust
    2011-11-14

    • assigned_to: nobody --> anshalmnit
     
  • Evan Wright
    Evan Wright
    2011-11-15

     
    Attachments
  • Evan Wright
    Evan Wright
    2011-11-15

    Here is a specific recipe for reproducing:
    1) Open the file test.txt I've attached to this tracker item
    2) Split the view vertically
    3) Make sure that elastic tab stops are on, and soft wrap is on with margin 0
    4) Cut from right before the last "Hello" in the first paragraph until the end of the file.
    5) Go to the first position in the file, and hit indent.

    Outcome: 3 exceptions (log snippet attached)

    If I don't split the view first, I still get one of the exceptions (the one in org.gjt.sp.jedit.buffer.JEditBuffer.updateColumnBlocks).

     
  • Evan Wright
    Evan Wright
    2011-11-15

     
    Attachments
  • Evan Wright
    Evan Wright
    2011-11-15

    Sorry, that was hit _tab_ in #5

     
  • Alan Ezust
    Alan Ezust
    2012-04-24

    • assigned_to: anshalmnit --> nobody
     
  • Alan Ezust
    Alan Ezust
    2013-03-01

    Unable to reproduce in jEdit 5.0.0.
    I believe this is another bug related to soft wrap and multiline cut that was fixed by thomas meyer.

     
  • Alan Ezust
    Alan Ezust
    2013-03-01

    • assigned_to: nobody --> thomasmey
    • status: open --> closed-fixed